curl --request POST \
--url https://production.hifibridge.com/v2/users/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "individual",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"dateOfBirth": "2023-12-25",
"ipAddress": "<string>",
"signedAgreementId": "<string>"
}
'{
"id": "4d93ab4f-3983-4ac0-8c97-54bbc0f287fa",
"createdAt": "2025-09-24T19:12:20.541Z",
"type": "individual",
"email": "john.doe@hifibridge.com",
"name": "John Doe",
"wallets": {
"INDIVIDUAL": {
"ETHEREUM": {
"id": "24b4917d-694e-4d81-ace8-9ba0261b6f4e",
"address": "0x43B343Bb48E23F58406271131B71448fF95787AD"
},
"POLYGON": {
"id": "24b4917d-604e-4d81-ace8-9ba0261b6f4e",
"address": "0x43B343Bb48E23F58406271131B71448fF95787AD"
}
}
}
}Update an existing Hifi user.
HIFI does not provide services to users or businesses from sanctioned and high-risk regions or unsupported US states. See here for supported regions.
curl --request POST \
--url https://production.hifibridge.com/v2/users/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "individual",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"dateOfBirth": "2023-12-25",
"ipAddress": "<string>",
"signedAgreementId": "<string>"
}
'{
"id": "4d93ab4f-3983-4ac0-8c97-54bbc0f287fa",
"createdAt": "2025-09-24T19:12:20.541Z",
"type": "individual",
"email": "john.doe@hifibridge.com",
"name": "John Doe",
"wallets": {
"INDIVIDUAL": {
"ETHEREUM": {
"id": "24b4917d-694e-4d81-ace8-9ba0261b6f4e",
"address": "0x43B343Bb48E23F58406271131B71448fF95787AD"
},
"POLYGON": {
"id": "24b4917d-604e-4d81-ace8-9ba0261b6f4e",
"address": "0x43B343Bb48E23F58406271131B71448fF95787AD"
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the user
individual Date of birth in format yyyy-mm-dd.
Address of the user.
Show child attributes
IP address of the user.
ID of the signed agreement, fetched through the HIFI's Hosted Terms of Service Link POST /tos-link